/*
 *                 IFS Research & Development
 *
 *  This program is protected by copyright law and by international
 *  conventions. All licensing, renting, lending or copying (including
 *  for private use), and all other use of the program, which is not
 *  expressively permitted by IFS Research & Development (IFS), is a
 *  violation of the rights of IFS. Such violations will be reported to the
 *  appropriate authorities.
 *
 *  VIOLATIONS OF ANY COPYRIGHT IS PUNISHABLE BY LAW AND CAN LEAD
 *  TO UP TO TWO YEARS OF IMPRISONMENT AND LIABILITY TO PAY DAMAGES.
 * ----------------------------------------------------------------------------
 * File        : MyConnectSenderFactory.java
 * Description :
 * Notes       :
 * ----------------------------------------------------------------------------
 * Modified    :
 *    2015-Aug-10  Jacek P  Created.
 * ----------------------------------------------------------------------------
 */

package ifs.fndint.connectsender;

import ifs.fnd.connect.config.ConnectorSendersConfig;
import ifs.fnd.connect.senders.ConnectSender;
import ifs.fnd.connect.senders.ConnectSenderFactory;
import ifs.fnd.connect.senders.addrcfg.AddressSenderConfig;

/**
 * Custom Sender Factory class registered in the configuration.
 * The class is responsible for construction of both the sender class
 * itself and both config classes.
 *
 * @author japase
 */
public class MyConnectSenderFactory implements ConnectSenderFactory {

    @Override
    public ConnectorSendersConfig.Builder newConfigBuilder() {
        return new MyConnectSenderConfig.Builder();
    }

    @Override
    public AddressSenderConfig.Builder<? extends ConnectorSendersConfig> newAddressConfigBuilder() {
        return new MyAddressSenderConfig.Builder();
    }

    @Override
    public ConnectSender<? extends ConnectorSendersConfig, ? extends AddressSenderConfig> newConnectSender() {
        return new MyConnectSender();
    }
}
